﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;


namespace QuizSilverlight.Web.Administration
{
    public partial class Participants : System.Web.UI.Page
    {
        private QuizDataClassesDataContext quizzDC = new QuizDataClassesDataContext();

        protected void Page_Load(object sender, EventArgs e)
        {
            var participants = from part in quizzDC.Participant
                               select new
                               {
                                   FirstName = part.FirstName,
                                   LastName = part.LastName,
                                   Phone = part.Phone
                               };



            GridView1.DataSource = participants;
            GridView1.DataBind();
                
        }

       

        protected void GridView1_SelectedIndexChanged1(object sender, EventArgs e)
        {

        }

    }
}
